# urpmi – Urpmi manager

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Manages packages with urpmi (such as for Mageia or Mandriva)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

force
boolean

Choices:
- no
- yes ←

Assume "yes" is the answer to any question urpmi has to ask. Corresponds to the `--force` option for urpmi.

name - / required added in 2.6 |  | A list of package names to install, upgrade or remove. aliases: package, pkg

no-recommends
boolean

Choices:
- no
- yes ←

Corresponds to the `--no-recommends` option for urpmi.
aliases: no-recommends

root - added in 2.4 | Default: "/" | Specifies an alternative install root, relative to which all packages will be installed. Corresponds to the `--root` option for urpmi. aliases: installroot

state
-

Choices:
- absent
- present ←

Indicates the desired package state.

update_cache
boolean

Choices:
- no ←
- yes

Update the package database first `urpmi.update -a`.

## Examples

    - name: Install package foo
      urpmi:
        pkg: foo
        state: present

    - name: Remove package foo
      urpmi:
        pkg: foo
        state: absent

    - name: Remove packages foo and bar
      urpmi:
        pkg: foo,bar
        state: absent

    - name: Update the package database (urpmi.update -a -q) and install bar (bar will be the updated if a newer version exists)
    - urpmi:
        name: bar
        state: present
        update_cache: yes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Philippe Makowski (@pmakowski)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.